## sjeng 11.2

=== debian/changelog ===
sjeng (11.2-9) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0.
  * d/watch: Drop non-functional file.
  * d/copyright: Convert to machine-readable format.

  [ Vagrant Cascadian ]
  * Pass -ffile-prefix-map via CFLAGS to avoid embedding build path.
    (Closes: #1020752)

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #880456)
    + Use a triplet-prefixed CC.
    + Defer stripping to dh_strip.

 -- Bastian Germann <bage@debian.org>  Thu, 10 Aug 2023 00:45:20 +0200

sjeng (11.2-8.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999026).

 -- Marcos Talau <talau@debian.org>  Thu, 03 Nov 2022 19:41:02 -0300

sjeng (11.2-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957803)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 28 Aug 2020 17:28:50 +0100

sjeng (11.2-8) unstable; urgency=low

  * Apply a patch to satisfy the xboard protocol related to SAN
    notation, this to allow sjeng play in crazyhouse variant in
    xboard >= 4.4.0, patch by h.g. muller <h.g.muller@hccnet.nl>.
    Closes: #539718
  * Bump Standards Version to 3.8.3 (no changes needed).

 -- Jotam Jr. Trejo <jotamjr@debian.org.sv>  Wed, 26 Aug 2009 14:08:55 -0600

sjeng (11.2-7) unstable; urgency=low

  * New maintainer. Closes: #503526
  * Move DH_COMPAT from rules to debian/compat and set to 7.
  * Bump debhelper build-dep version to 7.
  * Bump Standards Version to 3.8.2.
  * Update the Free Software Fundation Address in debian/copyright.
  * Make clean not ignore errors.
  * Add Homepage.
  * Move all changes done by old Maintainers from .diff.gz to
    debian/patches, we use quilt now to deal with the patches.
  * Update format version number of debian/watch file to 3, upstream 
    page is up. Closes: #450090
  * Add rules to debian/rules for have config.guess and config.sub 
    updates out of diff.gz.
  * Add autotools-dev and quilt to build-dependency.

 -- Jotam Jr. Trejo <jotamjr@debian.org.sv>  Wed, 27 Jun 2009 23:58:17 -0600

sjeng (11.2-6) unstable; urgency=low

  * Recompiled against new version of gdbm, updated build deps.

 -- Lukas Geyer <lukas@debian.org>  Thu,  5 Jun 2003 09:12:08 -0400

sjeng (11.2-5) unstable; urgency=low

  * Fixed retracting and undoing of moves in sjeng.c. (Closes: #192902)
  * Removed debugging output for fifty moves check.
  * Looking for local configuration in ~/.sjeng/sjeng.rc, like the
    manpage claims.

 -- Lukas Geyer <lukas@debian.org>  Thu, 22 May 2003 10:48:37 -0400

sjeng (11.2-4) unstable; urgency=low

  * Fixed one more type mismatch in utils.c.

 -- Lukas Geyer <lukas@debian.org>  Thu, 15 May 2003 15:17:20 -0400

sjeng (11.2-3) unstable; urgency=low

  * Made all score variables long int, this hopefully fixes #192902.
  * Changed ECacheSize to unsigned.
  * Fixed undefined behavior in speed_test().
  * Added debugging output for fifty moves check, disabled by default.
  * Updated email address and standards version.

 -- Lukas Geyer <lukas@debian.org>  Thu, 15 May 2003 10:32:04 -0400

sjeng (11.2-2) unstable; urgency=low

  * General code cleanup, fixed several format mismatches in printf(),
    added a missing #include <unistd.h>, added some missing prototypes
    and initializers.
  * Added watch file
  * Updated standard version to 3.5.6
  * Updated debhelper compatibility level to 4

 -- Lukas Geyer <geyer@math.uni-dortmund.de>  Thu, 29 Aug 2002 10:31:11 -0400

sjeng (11.2-1) unstable; urgency=low

  * Initial Release (closes: #130019).
  * rcfile.c: Adjusted configuration file location.
  * book.c: Adjusted book locations.
  * sjeng.c: Adjusted learning file locations.
  * Wrote very basic manpage.

 -- Lukas Geyer <geyer@math.uni-dortmund.de>  Tue, 28 May 2002 14:15:28 -0400
