=== debian/control ===
Source: sjeng
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, libgdbm-dev
Standards-Version: 3.8.3
Homepage: http://sjeng.sourceforge.net

Package: sjeng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: xboard | eboard
Description: chess program that plays many variants
 Sjeng is a chess program that plays normal chess and many variants
 like crazyhouse, bughouse, suicide (aka giveaway or anti-chess) and
 losers. It can also play variants which have the same rules as
 normal chess, but a different starting position. It uses the
 XBoard/WinBoard interface by Tim Mann, so it can be used with
 xboard or eboard. It is also capable of playing on internet chess
 servers.
