=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
export DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CC = $(DEB_HOST_GNU_TYPE)-gcc
CFLAGS = -Wall -W -g -ffile-prefix-map=$(CURDIR)=.
LDFLAGS = 

# C++ is not used in this version, but configure looks for it
CXX = g++
CXXFLAGS = -Wall -W -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
	CXXFLAGS += -O0
else
	CFLAGS += -O2
	CXXFLAGS += -O2
endif

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644

export CC CFLAGS LDFLAGS CXX CXXFLAGS INSTALL INSTALL_PROGRAM INSTALL_FILE

config.status: $(QUILT_STAMPFN) configure
	dh_testdir

	cp -f /usr/share/misc/config.sub .
	cp -f /usr/share/misc/config.guess .
	rm -f config.cache

	./configure --host=$(DEB_HOST_GNU_TYPE) \
                    --build=$(DEB_BUILD_GNU_TYPE) \
	            --prefix=/usr \
		    --bindir=\$${prefix}/games \
                    --mandir=\$${prefix}/share/man \
	            --infodir=\$${prefix}/share/info

build: build-stamp
build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -rf build-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	find \( -name config.sub -o -name config.guess \) -print0 | xargs -0 -r rm -f \;
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install prefix=$(CURDIR)/debian/sjeng/usr
	$(INSTALL_FILE) sjeng.rc $(CURDIR)/debian/sjeng/etc/sjeng.rc 
	$(INSTALL_FILE) books/bug.opn books/losers.opn books/suicide.opn \
	$(CURDIR)/debian/sjeng/usr/share/games/sjeng

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman debian/sjeng.6
	dh_installexamples sjeng.rc
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

build-arch: build
build-indep: build

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
